数据提供商: Exa
基于语义的深度推理检索技术
$0.0165 / 次调用在 55 秒内响应
利用Exa的深度推理模式,通过多步骤神经检索并结合推理过程来完成信息检索:首先对查询请求进行扩展处理,然后分多次搜索页面索引,在返回结果之前会对这些页面再次进行评估,最终只返回那些最符合查询条件的页面,每个页面都会显示其标题、链接、发布日期以及作者信息。最多可使用五种不同的查询变体,同时保持相同的类别、域名和日期筛选条件;此外,每次查询结果中都会包含相应的文本内容或重点信息。每次调用只能处理一个请求,最多只能显示10页内容;这是效率最低、成本也最高的处理方式。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Exa endpoint /search?type=deep-reasoning on Glasser.bash
glasser run -p exa -e '/search?type=deep-reasoning' -i '{"query":"startups building solid-state batteries for grid storage","numResults":10,"additionalQueries":["solid-state battery grid storage companies"]}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"exa","endpoint":"/search?type=deep-reasoning","input":{"query":"startups building solid-state batteries for grid storage","numResults":10,"additionalQueries":["solid-state battery grid storage companies"]},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
研究问题时,可以搜索相关来源,并判断哪些结果值得进一步阅读。
复制此提示词到你的 Agent,查找研究问题的资料来源。
提示词
Use exa:/search?type=deep-reasoning on Glasser.
Search for sources about my research question and explain which returned results are relevant.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"query"
],
"properties": {
"query": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"category": {
"enum": [
"company",
"publication",
"news",
"personal site",
"financial report",
"people"
],
"type": "string"
},
"contents": {
"type": "object",
"properties": {
"text": {
"type": "object",
"properties": {
"maxCharacters": {
"type": "integer",
"maximum": 10000,
"minimum": 1
}
},
"additionalProperties": false
},
"highlights": {
"type": "object",
"properties": {
"query": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"maxCharacters": {
"type": "integer",
"maximum": 10000,
"minimum": 1
}
},
"additionalProperties": false
}
},
"additionalProperties": false
},
"numResults": {
"type": "integer",
"maximum": 10,
"minimum": 1
},
"excludeDomains": {
"type": "array",
"items": {
"type": "string",
"pattern": "^(?=.*\\.)(\\*\\.)?[a-z0-9-]+(\\.[a-z0-9-]+)*(\\/[^\\s]*)?$",
"maxLength": 253,
"minLength": 4
},
"maxItems": 50,
"minItems": 1
},
"includeDomains": {
"type": "array",
"items": {
"type": "string",
"pattern": "^(?=.*\\.)(\\*\\.)?[a-z0-9-]+(\\.[a-z0-9-]+)*(\\/[^\\s]*)?$",
"maxLength": 253,
"minLength": 4
},
"maxItems": 50,
"minItems": 1
},
"endPublishedDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,3})?Z$"
},
"additionalQueries": {
"type": "array",
"items": {
"type": "string",
"maxLength": 300,
"minLength": 1
},
"maxItems": 5,
"minItems": 1
},
"startPublishedDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,3})?Z$"
}
},
"additionalProperties": false
}json
{
"query": "startups building solid-state batteries for grid storage",
"numResults": 10,
"additionalQueries": [
"solid-state battery grid storage companies"
]
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 仅在返回数据时收费。 | $0.0165 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |